require 'benchmark'
#N=10000000
Benchmark.bm do |b|
  b.report('times: '){
    s = 0
    10000000.times do |i|
      s += i
    end
  }
  b.report('upto:  '){
    s = 0
    0.upto(10000000-1) do |i|
      s += i
    end
  }
  b.report('while: '){
    s = 0
    i = 0
    while i < 10000000
      s += i
      i += 1
    end
  }
  b.report('for:   '){
    s = 0
    for i in 0...10000000
      s += i
    end
  }
end
